#!/usr/bin/env bash

set -e

# Build static site
hugo

# Build comments app
pushd comments
if [ $(uname -m) != "aarch64" ]
then
  RUSTFLAGS="-C linker=aarch64-linux-gnu-gcc"
fi
cargo build --target=aarch64-unknown-linux-gnu --release
popd

# TODO update caddy with offline message while site being updated

# Copy static site
rsync -rz public/* root@rpi3:/var/www/mfashby.net

# Copy comments app and reboot
ssh root@rpi3 -C systemctl stop comments
rsync comments/target/aarch64-unknown-linux-gnu/release/comments root@rpi3:/usr/local/bin/comments
rsync comments/comments.service root@rpi3:/etc/systemd/system/comments.service
ssh root@rpi3 -C systemctl daemon-reload
ssh root@rpi3 -C systemctl restart comments
popd

# TODO set caddy back to online
